|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Qt 3 Support Members for QTime

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QTime class reference

### Static Public Members

- QDate currentDate ( Qt::TimeSpec spec )
- QTime currentTime ( Qt::TimeSpec spec )

## Member Function Documentation

### QDate QTime::currentDate ( Qt::TimeSpec spec ) `[static]`

Use the currentDate() overload that takes no parameters; or extract from currentDateTime() instead.

### QTime QTime::currentTime ( Qt::TimeSpec spec ) `[static]`

Use the currentTime() overload that takes no parameters; or extract from currentDateTime() instead.